Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/gui-sdl3/inteldlg.c File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Structures | Macros | Functions | Variables
inteldlg.c File Reference
`#include <SDL3/SDL.h>`
`#include "fcintl.h"`
`#include "log.h"`
`#include "government.h"`
`#include "nation.h"`
`#include "research.h"`
`#include "client_main.h"`
`#include "graphics.h"`
`#include "gui_id.h"`
`#include "gui_main.h"`
`#include "gui_tilespec.h"`
`#include "mapview.h"`
`#include "repodlgs.h"`
`#include "spaceshipdlg.h"`
`#include "sprite.h"`
`#include "widget.h"`
`#include "inteldlg.h"`
`#include "speclist.h"`

Go to the source code of this file.

## Data Structures

struct | intel_dialog

## Macros

#define | SPECLIST_TAG dialog
#define | SPECLIST_TYPE struct intel_dialog
#define | dialog_list_iterate(dialoglist, pdialog) TYPED_LIST_ITERATE(struct intel_dialog, dialoglist, pdialog)
#define | dialog_list_iterate_end LIST_ITERATE_END

## Functions

static struct intel_dialog * | create_intel_dialog (struct player *p)
void | intel_dialog_init (void)
void | intel_dialog_done (void)
static struct intel_dialog * | get_intel_dialog (struct player *pplayer)
static int | intel_window_dlg_callback (struct widget *pwindow)
static int | tech_callback (struct widget *pwidget)
static int | spaceship_callback (struct widget *pwidget)
static int | exit_intel_dlg_callback (struct widget *pwidget)
void | close_intel_dialog (struct player *p)
void | popup_intel_dialog (struct player *p)
void | popdown_intel_dialog (struct player *p)
void | popdown_intel_dialogs (void)
void | update_intel_dialog (struct player *p)

## Variables

static struct dialog_list * | dialog_list

## Macro Definition Documentation

## ◆ dialog_list_iterate

#define dialog_list_iterate | ( |  | dialoglist,
|  |  | pdialog
| ) |  | TYPED_LIST_ITERATE(struct intel_dialog, dialoglist, pdialog)

Definition at line 56 of file inteldlg.c.

## ◆ dialog_list_iterate_end

#define dialog_list_iterate_end LIST_ITERATE_END

Definition at line 58 of file inteldlg.c.

## ◆ SPECLIST_TAG

#define SPECLIST_TAG dialog

Definition at line 52 of file inteldlg.c.

## ◆ SPECLIST_TYPE

#define SPECLIST_TYPE struct intel_dialog

Definition at line 53 of file inteldlg.c.

## Function Documentation

## ◆ close_intel_dialog()

void close_intel_dialog | ( | struct player * | p | ) |

Close an intelligence dialog towards given player.

Definition at line 147 of file inteldlg.c.

## ◆ create_intel_dialog()

static struct intel_dialog * create_intel_dialog | ( | struct player * | pplayer | ) |

static

Create an intelligence dialog towards given player.

Definition at line 155 of file inteldlg.c.

## ◆ exit_intel_dlg_callback()

static int exit_intel_dlg_callback | ( | struct widget * | pwidget | ) |

static

User interacted with intelligence dialog close button

Definition at line 134 of file inteldlg.c.

## ◆ get_intel_dialog()

static struct intel_dialog * get_intel_dialog | ( | struct player * | pplayer | ) |

static

Get intelligence dialog towards given player

Definition at line 82 of file inteldlg.c.

## ◆ intel_dialog_done()

void intel_dialog_done | ( | void |  | ) |

Free intelligence dialog

Definition at line 74 of file inteldlg.c.

## ◆ intel_dialog_init()

void intel_dialog_init | ( | void |  | ) |

Allocate intelligence dialog

Definition at line 66 of file inteldlg.c.

## ◆ intel_window_dlg_callback()

static int intel_window_dlg_callback | ( | struct widget * | pwindow | ) |

static

User interacted with the intelligence dialog window

Definition at line 96 of file inteldlg.c.

## ◆ popdown_intel_dialog()

void popdown_intel_dialog | ( | struct player * | p | ) |

Popdown an intelligence dialog for the given player.

Definition at line 192 of file inteldlg.c.

## ◆ popdown_intel_dialogs()

void popdown_intel_dialogs | ( | void |  | ) |

Popdown all intelligence dialogs

Definition at line 211 of file inteldlg.c.

## ◆ popup_intel_dialog()

void popup_intel_dialog | ( | struct player * | p | ) |

Popup an intelligence dialog for the given player.

Definition at line 174 of file inteldlg.c.

## ◆ spaceship_callback()

static int spaceship_callback | ( | struct widget * | pwidget | ) |

static

User interacted with spaceship widget

Definition at line 119 of file inteldlg.c.

## ◆ tech_callback()

static int tech_callback | ( | struct widget * | pwidget | ) |

static

User interacted with tech widget

Definition at line 110 of file inteldlg.c.

## ◆ update_intel_dialog()

void update_intel_dialog | ( | struct player * | p | ) |

Update the intelligence dialog for the given player. This is called by the core client code when that player's information changes.

Definition at line 222 of file inteldlg.c.

## Variable Documentation

## ◆ dialog_list

struct dialog_list* dialog_list

static

Definition at line 60 of file inteldlg.c.